diff --git a/doc/bash.ps b/doc/bash.ps
index 27ff5801..ae2f73b4 100644
--- a/doc/bash.ps
+++ b/doc/bash.ps
@@ -1,6 +1,6 @@
 %!PS-Adobe-3.0
 %%Creator: groff version 1.19.2
-%%CreationDate: Tue Feb 11 10:59:21 2014
+%%CreationDate: Mon Sep 15 12:01:53 2014
 %%DocumentNeededResources: font Times-Roman
 %%+ font Times-Bold
 %%+ font Times-Italic
@@ -250,86 +250,90 @@ Q/F2 10/Times-Bold@0 SF(bash)108 124.8 Q F0
 ell and Utilities portion of the IEEE POSIX)3.027 F
 (speci\214cation \(IEEE Standard 1003.1\).)108 223.2 Q F2(Bash)5 E F0
 (can be con\214gured to be POSIX-conformant by def)2.5 E(ault.)-.1 E F1
-(OPTIONS)72 240 Q F0 .61(All of the)108 252 R .61
-(single-character shell options documented in the description of the)
-5.61 F F2(set)3.11 E F0 -.2(bu)3.11 G .61(iltin command can be).2 F
-1.284(used as options when the shell is in)108 264 R -.2(vo)-.4 G -.1
-(ke).2 G 3.785(d. In).1 F(addition,)3.785 E F2(bash)3.785 E F0 1.285
+(OPTIONS)72 240 Q F0 .766(All of the single-character shell options doc\
+umented in the description of the)108 252 R F2(set)3.266 E F0 -.2(bu)
+3.266 G .766(iltin command can be).2 F 1.284
+(used as options when the shell is in)108 264 R -.2(vo)-.4 G -.1(ke).2 G
+3.785(d. In).1 F(addition,)3.785 E F2(bash)3.785 E F0 1.285
 (interprets the follo)3.785 F 1.285(wing options when it is)-.25 F(in)
 108 276 Q -.2(vo)-.4 G -.1(ke).2 G(d:).1 E F2<ad63>108 292.8 Q F0 .881
 (If the)39.86 F F2<ad63>3.381 E F0 .881(option is present, then command\
 s are read from the \214rst non-option ar)3.381 F(gument)-.18 E F3(com-)
-3.38 E(mand_string)158 304.8 Q F0 5.706(.I).22 G 3.206(ft)-5.706 G .706
-(here are ar)-3.206 F .706(guments after the)-.18 F F3(command_string)
-3.206 E F0 3.206(,t).22 G(he)-3.206 E 3.206(ya)-.15 G .706
-(re assigned to the posi-)-3.206 F(tional parameters, starting with)158
-316.8 Q F2($0)2.5 E F0(.)A F2<ad69>108 328.8 Q F0(If the)41.52 E F2
-<ad69>2.5 E F0(option is present, the shell is)2.5 E F3(inter)2.5 E
-(active)-.15 E F0(.).18 E F2<ad6c>108 340.8 Q F0(Mak)41.52 E(e)-.1 E F2
+3.38 E(mand_string)158 304.8 Q F0 5.743(.I).22 G 3.243(ft)-5.743 G .743
+(here are ar)-3.243 F .743(guments after the)-.18 F F3(command_string)
+3.243 E F0 3.243(,t).22 G .744(he \214rst ar)-3.243 F .744
+(gument is assigned)-.18 F(to)158 316.8 Q F2($0)2.919 E F0 .419(and an)
+2.919 F 2.919(yr)-.15 G .419(emaining ar)-2.919 F .418
+(guments are assigned to the positional parameters.)-.18 F .418
+(The assignment)5.418 F(to)158 328.8 Q F2($0)2.5 E F0
+(sets the name of the shell, which is used in w)2.5 E
+(arning and error messages.)-.1 E F2<ad69>108 340.8 Q F0(If the)41.52 E
+F2<ad69>2.5 E F0(option is present, the shell is)2.5 E F3(inter)2.5 E
+(active)-.15 E F0(.).18 E F2<ad6c>108 352.8 Q F0(Mak)41.52 E(e)-.1 E F2
 (bash)2.5 E F0(act as if it had been in)2.5 E -.2(vo)-.4 G -.1(ke).2 G
 2.5(da).1 G 2.5(sal)-2.5 G(ogin shell \(see)-2.5 E/F4 9/Times-Bold@0 SF
 (INV)2.5 E(OCA)-.405 E(TION)-.855 E F0(belo)2.25 E(w\).)-.25 E F2<ad72>
-108 352.8 Q F0(If the)39.86 E F2<ad72>2.5 E F0
+108 364.8 Q F0(If the)39.86 E F2<ad72>2.5 E F0
 (option is present, the shell becomes)2.5 E F3 -.37(re)2.5 G(stricted)
 .37 E F0(\(see)3.27 E F4(RESTRICTED SHELL)2.5 E F0(belo)2.25 E(w\).)-.25
-E F2<ad73>108 364.8 Q F0 .602(If the)40.41 F F2<ad73>3.102 E F0 .602
+E F2<ad73>108 376.8 Q F0 .602(If the)40.41 F F2<ad73>3.102 E F0 .602
 (option is present, or if no ar)3.102 F .602
-(guments remain after option processing, then commands)-.18 F .616
-(are read from the standard input.)158 376.8 R .617(This option allo)
-5.617 F .617(ws the positional parameters to be set when)-.25 F(in)158
-388.8 Q -.2(vo)-.4 G(king an interacti).2 E .3 -.15(ve s)-.25 H(hell.)
-.15 E F2<ad44>108 400.8 Q F0 3.184(Al)37.08 G .684
-(ist of all double-quoted strings preceded by)-3.184 F F2($)3.184 E F0
-.684(is printed on the standard output.)3.184 F .683(These are)5.683 F
+(guments remain after option processing, then commands)-.18 F .617
+(are read from the standard input.)158 388.8 R .617(This option allo)
+5.617 F .616(ws the positional parameters to be set when)-.25 F(in)158
+400.8 Q -.2(vo)-.4 G(king an interacti).2 E .3 -.15(ve s)-.25 H(hell.)
+.15 E F2<ad44>108 412.8 Q F0 3.183(Al)37.08 G .683
+(ist of all double-quoted strings preceded by)-3.183 F F2($)3.184 E F0
+.684(is printed on the standard output.)3.184 F .684(These are)5.684 F
 .458(the strings that are subject to language translation when the curr\
-ent locale is not)158 412.8 R F2(C)2.958 E F0(or)2.959 E F2(POSIX)2.959
-E F0(.)A(This implies the)158 424.8 Q F2<ad6e>2.5 E F0
+ent locale is not)158 424.8 R F2(C)2.958 E F0(or)2.958 E F2(POSIX)2.958
+E F0(.)A(This implies the)158 436.8 Q F2<ad6e>2.5 E F0
 (option; no commands will be e)2.5 E -.15(xe)-.15 G(cuted.).15 E F2
-([\255+]O [)108 436.8 Q F3(shopt_option)A F2(])A F3(shopt_option)158
-448.8 Q F0 1.097(is one of the shell options accepted by the)3.597 F F2
-(shopt)3.597 E F0 -.2(bu)3.597 G 1.097(iltin \(see).2 F F4 1.096
-(SHELL B)3.596 F(UIL)-.09 E(TIN)-.828 E(COMMANDS)158 460.8 Q F0(belo)
-3.002 E 3.252(w\). If)-.25 F F3(shopt_option)3.253 E F0 .753
+([\255+]O [)108 448.8 Q F3(shopt_option)A F2(])A F3(shopt_option)158
+460.8 Q F0 1.097(is one of the shell options accepted by the)3.596 F F2
+(shopt)3.597 E F0 -.2(bu)3.597 G 1.097(iltin \(see).2 F F4 1.097
+(SHELL B)3.597 F(UIL)-.09 E(TIN)-.828 E(COMMANDS)158 472.8 Q F0(belo)
+3.003 E 3.253(w\). If)-.25 F F3(shopt_option)3.253 E F0 .753
 (is present,)3.253 F F2<ad4f>3.253 E F0 .753(sets the v)3.253 F .753
-(alue of that option;)-.25 F F2(+O)3.253 E F0(unsets)3.253 E 2.625
-(it. If)158 472.8 R F3(shopt_option)2.625 E F0 .125
-(is not supplied, the names and v)2.625 F .124
-(alues of the shell options accepted by)-.25 F F2(shopt)2.624 E F0 .505
-(are printed on the standard output.)158 484.8 R .505(If the in)5.505 F
--.2(vo)-.4 G .505(cation option is).2 F F2(+O)3.005 E F0 3.005(,t)C .506
+(alue of that option;)-.25 F F2(+O)3.252 E F0(unsets)3.252 E 2.624
+(it. If)158 484.8 R F3(shopt_option)2.624 E F0 .124
+(is not supplied, the names and v)2.624 F .125
+(alues of the shell options accepted by)-.25 F F2(shopt)2.625 E F0 .506
+(are printed on the standard output.)158 496.8 R .505(If the in)5.505 F
+-.2(vo)-.4 G .505(cation option is).2 F F2(+O)3.005 E F0 3.005(,t)C .505
 (he output is displayed in a)-3.005 F
-(format that may be reused as input.)158 496.8 Q F2<adad>108 508.8 Q F0
-(A)38.6 E F2<adad>3.364 E F0 .864
+(format that may be reused as input.)158 508.8 Q F2<adad>108 520.8 Q F0
+(A)38.6 E F2<adad>3.363 E F0 .864
 (signals the end of options and disables further option processing.)
-3.364 F(An)5.863 E 3.363(ya)-.15 G -.18(rg)-3.363 G .863(uments after)
-.18 F(the)158 520.8 Q F2<adad>2.5 E F0
+3.363 F(An)5.864 E 3.364(ya)-.15 G -.18(rg)-3.364 G .864(uments after)
+.18 F(the)158 532.8 Q F2<adad>2.5 E F0
 (are treated as \214lenames and ar)2.5 E 2.5(guments. An)-.18 F(ar)2.5 E
 (gument of)-.18 E F2<ad>2.5 E F0(is equi)2.5 E -.25(va)-.25 G(lent to)
-.25 E F2<adad>2.5 E F0(.)A F2(Bash)108 537.6 Q F0 .303
-(also interprets a number of multi-character options.)2.803 F .304
+.25 E F2<adad>2.5 E F0(.)A F2(Bash)108 549.6 Q F0 .304
+(also interprets a number of multi-character options.)2.804 F .303
 (These options must appear on the command line)5.303 F
-(before the single-character options to be recognized.)108 549.6 Q F2
-<adad646562>108 566.4 Q(ugger)-.2 E F0 .475(Arrange for the deb)144
-578.4 R .475(ugger pro\214le to be e)-.2 F -.15(xe)-.15 G .475
-(cuted before the shell starts.).15 F -.45(Tu)5.474 G .474(rns on e).45
-F .474(xtended deb)-.15 F(ug-)-.2 E
-(ging mode \(see the description of the)144 590.4 Q F2(extdeb)2.5 E(ug)
+(before the single-character options to be recognized.)108 561.6 Q F2
+<adad646562>108 578.4 Q(ugger)-.2 E F0 .474(Arrange for the deb)144
+590.4 R .474(ugger pro\214le to be e)-.2 F -.15(xe)-.15 G .475
+(cuted before the shell starts.).15 F -.45(Tu)5.475 G .475(rns on e).45
+F .475(xtended deb)-.15 F(ug-)-.2 E
+(ging mode \(see the description of the)144 602.4 Q F2(extdeb)2.5 E(ug)
 -.2 E F0(option to the)2.5 E F2(shopt)2.5 E F0 -.2(bu)2.5 G(iltin belo)
-.2 E(w\).)-.25 E F2(\255\255dump\255po\255strings)108 602.4 Q F0(Equi)
-144 614.4 Q -.25(va)-.25 G(lent to).25 E F2<ad44>2.5 E F0 2.5(,b)C
+.2 E(w\).)-.25 E F2(\255\255dump\255po\255strings)108 614.4 Q F0(Equi)
+144 626.4 Q -.25(va)-.25 G(lent to).25 E F2<ad44>2.5 E F0 2.5(,b)C
 (ut the output is in the GNU)-2.7 E F3 -.1(ge)2.5 G(tte).1 E(xt)-.2 E F2
 (po)2.5 E F0(\(portable object\) \214le format.)2.5 E F2
-(\255\255dump\255strings)108 626.4 Q F0(Equi)144 638.4 Q -.25(va)-.25 G
-(lent to).25 E F2<ad44>2.5 E F0(.)A F2(\255\255help)108 650.4 Q F0
+(\255\255dump\255strings)108 638.4 Q F0(Equi)144 650.4 Q -.25(va)-.25 G
+(lent to).25 E F2<ad44>2.5 E F0(.)A F2(\255\255help)108 662.4 Q F0
 (Display a usage message on standard output and e)6.26 E
-(xit successfully)-.15 E(.)-.65 E F2<adad696e6974ad8c6c65>108 662.4 Q F3
-(\214le)2.5 E F2<adad72>108 674.4 Q(c\214le)-.18 E F3(\214le)2.5 E F0
-(Ex)144 686.4 Q 1.598(ecute commands from)-.15 F F3(\214le)6.008 E F0
-1.598(instead of the standard personal initialization \214le)4.278 F F3
-(~/.bashr)3.599 E(c)-.37 E F0 1.599(if the)4.409 F(shell is interacti)
-144 698.4 Q .3 -.15(ve \()-.25 H(see).15 E F4(INV)2.5 E(OCA)-.405 E
+(xit successfully)-.15 E(.)-.65 E F2<adad696e6974ad8c6c65>108 674.4 Q F3
+(\214le)2.5 E F2<adad72>108 686.4 Q(c\214le)-.18 E F3(\214le)2.5 E F0
+(Ex)144 698.4 Q 1.599(ecute commands from)-.15 F F3(\214le)6.009 E F0
+1.598(instead of the standard personal initialization \214le)4.279 F F3
+(~/.bashr)3.598 E(c)-.37 E F0 1.598(if the)4.408 F(shell is interacti)
+144 710.4 Q .3 -.15(ve \()-.25 H(see).15 E F4(INV)2.5 E(OCA)-.405 E
 (TION)-.855 E F0(belo)2.25 E(w\).)-.25 E(GNU Bash 4.3)72 768 Q
-(2014 February 2)141.79 E(1)195.95 E 0 Cg EP
+(2014 August 27)142.895 E(1)197.055 E 0 Cg EP
 %%Page: 2 2
 %%BeginPageSetup
 BP
@@ -342,114 +346,114 @@ BP
 -.15(ve)-.25 G(.).15 E F1(\255\255nopr)108 141.6 Q(o\214le)-.18 E F0
 .017(Do not read either the system-wide startup \214le)144 153.6 R/F2 10
 /Times-Italic@0 SF(/etc/pr)4.183 E(o\214le)-.45 E F0 .017(or an)4.183 F
-2.517(yo)-.15 G 2.517(ft)-2.517 G .017
+2.517(yo)-.15 G 2.517(ft)-2.517 G .018
 (he personal initialization \214les)-2.517 F F2(~/.bash_pr)144 165.6 Q
-(o\214le)-.45 E F0(,).18 E F2(~/.bash_lo)2.697 E(gin)-.1 E F0 2.697(,o)
-.24 G(r)-2.697 E F2(~/.pr)2.698 E(o\214le)-.45 E F0 5.198(.B).18 G 2.698
+(o\214le)-.45 E F0(,).18 E F2(~/.bash_lo)2.698 E(gin)-.1 E F0 2.698(,o)
+.24 G(r)-2.698 E F2(~/.pr)2.698 E(o\214le)-.45 E F0 5.198(.B).18 G 2.698
 (yd)-5.198 G(ef)-2.698 E(ault,)-.1 E F1(bash)2.698 E F0 .198
 (reads these \214les when it is in)2.698 F -.2(vo)-.4 G -.1(ke).2 G
-2.698(da).1 G(s)-2.698 E 2.5(al)144 177.6 S(ogin shell \(see)-2.5 E/F3 9
+2.697(da).1 G(s)-2.697 E 2.5(al)144 177.6 S(ogin shell \(see)-2.5 E/F3 9
 /Times-Bold@0 SF(INV)2.5 E(OCA)-.405 E(TION)-.855 E F0(belo)2.25 E(w\).)
 -.25 E F1<adad6e6f72>108 194.4 Q(c)-.18 E F0 1.228(Do not read and e)
 5.34 F -.15(xe)-.15 G 1.228(cute the personal initialization \214le).15
 F F2(~/.bashr)3.228 E(c)-.37 E F0 1.228(if the shell is interacti)4.038
 F -.15(ve)-.25 G 6.228(.T).15 G(his)-6.228 E(option is on by def)144
 206.4 Q(ault if the shell is in)-.1 E -.2(vo)-.4 G -.1(ke).2 G 2.5(da).1
-G(s)-2.5 E F1(sh)2.5 E F0(.)A F1(\255\255posix)108 223.2 Q F0 1.782
+G(s)-2.5 E F1(sh)2.5 E F0(.)A F1(\255\255posix)108 223.2 Q F0 1.783
 (Change the beha)144 235.2 R 1.782(vior of)-.2 F F1(bash)4.282 E F0
 1.782(where the def)4.282 F 1.782(ault operation dif)-.1 F 1.782
-(fers from the POSIX standard to)-.25 F .333(match the standard \()144
-247.2 R F2 .333(posix mode)B F0 2.833(\). See)B F3 .333(SEE ALSO)2.833 F
-F0(belo)2.583 E 2.833(wf)-.25 G .332
+(fers from the POSIX standard to)-.25 F .332(match the standard \()144
+247.2 R F2 .332(posix mode)B F0 2.832(\). See)B F3 .333(SEE ALSO)2.833 F
+F0(belo)2.583 E 2.833(wf)-.25 G .333
 (or a reference to a document that details)-2.833 F(ho)144 259.2 Q 2.5
 (wp)-.25 G(osix mode af)-2.5 E(fects bash')-.25 E 2.5(sb)-.55 G(eha)-2.5
 E(vior)-.2 E(.)-.55 E F1<adad72>108 276 Q(estricted)-.18 E F0
 (The shell becomes restricted \(see)144 288 Q F3(RESTRICTED SHELL)2.5 E
 F0(belo)2.25 E(w\).)-.25 E F1<adad76>108 304.8 Q(erbose)-.1 E F0(Equi)
-144 316.8 Q -.25(va)-.25 G(lent to).25 E F1<ad76>5 E F0(.)A F1<adad76>
+144 316.8 Q -.25(va)-.25 G(lent to).25 E F1<ad76>2.5 E F0(.)A F1<adad76>
 108 333.6 Q(ersion)-.1 E F0(Sho)144 345.6 Q 2.5(wv)-.25 G
 (ersion information for this instance of)-2.65 E F1(bash)2.5 E F0
 (on the standard output and e)2.5 E(xit successfully)-.15 E(.)-.65 E/F4
-10.95/Times-Bold@0 SF(ARGUMENTS)72 362.4 Q F0 .016(If ar)108 374.4 R
+10.95/Times-Bold@0 SF(ARGUMENTS)72 362.4 Q F0 .017(If ar)108 374.4 R
 .016(guments remain after option processing, and neither the)-.18 F F1
 <ad63>2.516 E F0 .016(nor the)2.516 F F1<ad73>2.516 E F0 .016
 (option has been supplied, the \214rst)2.516 F(ar)108 386.4 Q .041(gume\
 nt is assumed to be the name of a \214le containing shell commands.)-.18
 F(If)5.041 E F1(bash)2.541 E F0 .041(is in)2.541 F -.2(vo)-.4 G -.1(ke)
-.2 G 2.541(di).1 G 2.541(nt)-2.541 G .041(his f)-2.541 F(ashion,)-.1 E
+.2 G 2.541(di).1 G 2.541(nt)-2.541 G .042(his f)-2.541 F(ashion,)-.1 E
 F1($0)108 398.4 Q F0 .936(is set to the name of the \214le, and the pos\
-itional parameters are set to the remaining ar)3.435 F(guments.)-.18 E
-F1(Bash)5.936 E F0 .234(reads and e)108 410.4 R -.15(xe)-.15 G .234
+itional parameters are set to the remaining ar)3.436 F(guments.)-.18 E
+F1(Bash)5.935 E F0 .233(reads and e)108 410.4 R -.15(xe)-.15 G .233
 (cutes commands from this \214le, then e).15 F(xits.)-.15 E F1(Bash)
-5.234 E F0 1.334 -.55('s e)D .234(xit status is the e).4 F .233
-(xit status of the last com-)-.15 F .348(mand e)108 422.4 R -.15(xe)-.15
-G .348(cuted in the script.).15 F .348(If no commands are e)5.348 F -.15
-(xe)-.15 G .348(cuted, the e).15 F .349(xit status is 0.)-.15 F .349
-(An attempt is \214rst made to)5.349 F .254
-(open the \214le in the current directory)108 434.4 R 2.754(,a)-.65 G
-.253
+5.234 E F0 1.334 -.55('s e)D .234(xit status is the e).4 F .234
+(xit status of the last com-)-.15 F .349(mand e)108 422.4 R -.15(xe)-.15
+G .349(cuted in the script.).15 F .349(If no commands are e)5.349 F -.15
+(xe)-.15 G .349(cuted, the e).15 F .348(xit status is 0.)-.15 F .348
+(An attempt is \214rst made to)5.348 F .253
+(open the \214le in the current directory)108 434.4 R 2.753(,a)-.65 G
+.254
 (nd, if no \214le is found, then the shell searches the directories in)
--2.754 F F3 -.666(PA)2.753 G(TH)-.189 E F0(for the script.)108 446.4 Q
+-2.753 F F3 -.666(PA)2.754 G(TH)-.189 E F0(for the script.)108 446.4 Q
 F4(INV)72 463.2 Q(OCA)-.493 E(TION)-1.04 E F0(A)108 475.2 Q F2(lo)2.5 E
 (gin shell)-.1 E F0(is one whose \214rst character of ar)2.5 E
 (gument zero is a)-.18 E F1<ad>2.5 E F0 2.5(,o)C 2.5(ro)-2.5 G
 (ne started with the)-2.5 E F1(\255\255login)2.5 E F0(option.)2.5 E(An)
-108 492 Q F2(inter)2.814 E(active)-.15 E F0 .314
-(shell is one started without non-option ar)2.814 F .315
-(guments and without the)-.18 F F1<ad63>2.815 E F0 .315
-(option whose standard)2.815 F 1.5
+108 492 Q F2(inter)2.815 E(active)-.15 E F0 .315
+(shell is one started without non-option ar)2.815 F .315
+(guments and without the)-.18 F F1<ad63>2.814 E F0 .314
+(option whose standard)2.814 F 1.5
 (input and error are both connected to terminals \(as determined by)108
 504 R F2(isatty)4 E F0 1.5(\(3\)\), or one started with the).32 F F1
-<ad69>4 E F0(option.)108 516 Q F3(PS1)5.289 E F0 .289(is set and)2.539 F
-F1<24ad>2.789 E F0(includes)2.789 E F1(i)2.789 E F0(if)2.789 E F1(bash)
-2.789 E F0 .289(is interacti)2.789 F -.15(ve)-.25 G 2.789(,a).15 G(llo)
--2.789 E .29(wing a shell script or a startup \214le to test this)-.25 F
-(state.)108 528 Q .033(The follo)108 544.8 R .033
-(wing paragraphs describe ho)-.25 F(w)-.25 E F1(bash)2.532 E F0 -.15
-(exe)2.532 G .032(cutes its startup \214les.).15 F .032(If an)5.032 F
-2.532(yo)-.15 G 2.532(ft)-2.532 G .032(he \214les e)-2.532 F .032
-(xist b)-.15 F .032(ut cannot be)-.2 F(read,)108 556.8 Q F1(bash)2.599 E
-F0 .099(reports an error)2.599 F 5.099(.T)-.55 G .099(ildes are e)-5.449
-F .099(xpanded in \214lenames as described belo)-.15 F 2.6(wu)-.25 G
-(nder)-2.6 E F1 -.18(Ti)2.6 G .1(lde Expansion).18 F F0(in)2.6 E(the)108
-568.8 Q F3(EXP)2.5 E(ANSION)-.666 E F0(section.)2.25 E(When)108 585.6 Q
-F1(bash)2.896 E F0 .396(is in)2.896 F -.2(vo)-.4 G -.1(ke).2 G 2.896(da)
-.1 G 2.896(sa)-2.896 G 2.896(ni)-2.896 G(nteracti)-2.896 E .696 -.15
-(ve l)-.25 H .396(ogin shell, or as a non-interacti).15 F .695 -.15
-(ve s)-.25 H .395(hell with the).15 F F1(\255\255login)2.895 E F0 .395
-(option, it)2.895 F 1.333(\214rst reads and e)108 597.6 R -.15(xe)-.15 G
-1.333(cutes commands from the \214le).15 F F2(/etc/pr)3.833 E(o\214le)
--.45 E F0 3.834(,i)C 3.834(ft)-3.834 G 1.334(hat \214le e)-3.834 F 3.834
-(xists. After)-.15 F 1.334(reading that \214le, it)3.834 F .249
-(looks for)108 609.6 R F2(~/.bash_pr)2.749 E(o\214le)-.45 E F0(,)A F2
-(~/.bash_lo)2.749 E(gin)-.1 E F0 2.749(,a)C(nd)-2.749 E F2(~/.pr)2.749 E
-(o\214le)-.45 E F0 2.749(,i)C 2.749(nt)-2.749 G .249(hat order)-2.749 F
-2.748(,a)-.4 G .248(nd reads and e)-2.748 F -.15(xe)-.15 G .248
-(cutes commands from).15 F .796(the \214rst one that e)108 621.6 R .796
+<ad69>4 E F0(option.)108 516 Q F3(PS1)5.29 E F0 .29(is set and)2.54 F F1
+<24ad>2.79 E F0(includes)2.79 E F1(i)2.79 E F0(if)2.79 E F1(bash)2.79 E
+F0 .289(is interacti)2.789 F -.15(ve)-.25 G 2.789(,a).15 G(llo)-2.789 E
+.289(wing a shell script or a startup \214le to test this)-.25 F(state.)
+108 528 Q .032(The follo)108 544.8 R .032(wing paragraphs describe ho)
+-.25 F(w)-.25 E F1(bash)2.532 E F0 -.15(exe)2.532 G .032
+(cutes its startup \214les.).15 F .032(If an)5.032 F 2.532(yo)-.15 G
+2.532(ft)-2.532 G .032(he \214les e)-2.532 F .033(xist b)-.15 F .033
+(ut cannot be)-.2 F(read,)108 556.8 Q F1(bash)2.6 E F0 .1
+(reports an error)2.6 F 5.1(.T)-.55 G .1(ildes are e)-5.45 F .099
+(xpanded in \214lenames as described belo)-.15 F 2.599(wu)-.25 G(nder)
+-2.599 E F1 -.18(Ti)2.599 G .099(lde Expansion).18 F F0(in)2.599 E(the)
+108 568.8 Q F3(EXP)2.5 E(ANSION)-.666 E F0(section.)2.25 E(When)108
+585.6 Q F1(bash)2.895 E F0 .395(is in)2.895 F -.2(vo)-.4 G -.1(ke).2 G
+2.895(da).1 G 2.895(sa)-2.895 G 2.895(ni)-2.895 G(nteracti)-2.895 E .695
+-.15(ve l)-.25 H .396(ogin shell, or as a non-interacti).15 F .696 -.15
+(ve s)-.25 H .396(hell with the).15 F F1(\255\255login)2.896 E F0 .396
+(option, it)2.896 F 1.334(\214rst reads and e)108 597.6 R -.15(xe)-.15 G
+1.334(cutes commands from the \214le).15 F F2(/etc/pr)3.834 E(o\214le)
+-.45 E F0 3.834(,i)C 3.833(ft)-3.834 G 1.333(hat \214le e)-3.833 F 3.833
+(xists. After)-.15 F 1.333(reading that \214le, it)3.833 F .248
+(looks for)108 609.6 R F2(~/.bash_pr)2.748 E(o\214le)-.45 E F0(,)A F2
+(~/.bash_lo)2.748 E(gin)-.1 E F0 2.748(,a)C(nd)-2.748 E F2(~/.pr)2.748 E
+(o\214le)-.45 E F0 2.748(,i)C 2.749(nt)-2.748 G .249(hat order)-2.749 F
+2.749(,a)-.4 G .249(nd reads and e)-2.749 F -.15(xe)-.15 G .249
+(cutes commands from).15 F .797(the \214rst one that e)108 621.6 R .797
 (xists and is readable.)-.15 F(The)5.796 E F1(\255\255nopr)3.296 E
-(o\214le)-.18 E F0 .797(option may be used when the shell is started to)
+(o\214le)-.18 E F0 .796(option may be used when the shell is started to)
 3.296 F(inhibit this beha)108 633.6 Q(vior)-.2 E(.)-.55 E
 (When a login shell e)108 650.4 Q(xits,)-.15 E F1(bash)2.5 E F0
 (reads and e)2.5 E -.15(xe)-.15 G(cutes commands from the \214le).15 E
 F2(~/.bash_lo)2.5 E(gout)-.1 E F0 2.5(,i)C 2.5(fi)-2.5 G 2.5(te)-2.5 G
-(xists.)-2.65 E 1.698(When an interacti)108 667.2 R 1.998 -.15(ve s)-.25
-H 1.698(hell that is not a login shell is started,).15 F F1(bash)4.197 E
-F0 1.697(reads and e)4.197 F -.15(xe)-.15 G 1.697(cutes commands from)
-.15 F F2(~/.bashr)108 679.2 Q(c)-.37 E F0 2.535(,i)C 2.535(ft)-2.535 G
-.035(hat \214le e)-2.535 F 2.535(xists. This)-.15 F .036
-(may be inhibited by using the)2.535 F F1<adad6e6f72>2.536 E(c)-.18 E F0
-2.536(option. The)2.536 F F1<adad72>2.536 E(c\214le)-.18 E F2(\214le)
-2.536 E F0 .036(option will)2.536 F(force)108 691.2 Q F1(bash)2.5 E F0
+(xists.)-2.65 E 1.697(When an interacti)108 667.2 R 1.997 -.15(ve s)-.25
+H 1.698(hell that is not a login shell is started,).15 F F1(bash)4.198 E
+F0 1.698(reads and e)4.198 F -.15(xe)-.15 G 1.698(cutes commands from)
+.15 F F2(~/.bashr)108 679.2 Q(c)-.37 E F0 2.536(,i)C 2.536(ft)-2.536 G
+.036(hat \214le e)-2.536 F 2.536(xists. This)-.15 F .036
+(may be inhibited by using the)2.536 F F1<adad6e6f72>2.535 E(c)-.18 E F0
+2.535(option. The)2.535 F F1<adad72>2.535 E(c\214le)-.18 E F2(\214le)
+2.535 E F0 .035(option will)2.535 F(force)108 691.2 Q F1(bash)2.5 E F0
 (to read and e)2.5 E -.15(xe)-.15 G(cute commands from).15 E F2(\214le)
 2.5 E F0(instead of)2.5 E F2(~/.bashr)2.5 E(c)-.37 E F0(.)A(When)108 708
-Q F1(bash)5.306 E F0 2.806(is started non-interacti)5.306 F -.15(ve)-.25
-G(ly).15 E 5.306(,t)-.65 G 5.306(or)-5.306 G 2.806
-(un a shell script, for e)-5.306 F 2.805(xample, it looks for the v)-.15
-F(ariable)-.25 E F3 -.27(BA)108 720 S(SH_ENV).27 E F0 1.01(in the en)
-3.26 F 1.01(vironment, e)-.4 F 1.01(xpands its v)-.15 F 1.01
-(alue if it appears there, and uses the e)-.25 F 1.011(xpanded v)-.15 F
-1.011(alue as the)-.25 F(GNU Bash 4.3)72 768 Q(2014 February 2)141.79 E
-(2)195.95 E 0 Cg EP
+Q F1(bash)5.305 E F0 2.805(is started non-interacti)5.305 F -.15(ve)-.25
+G(ly).15 E 5.305(,t)-.65 G 5.305(or)-5.305 G 2.806
+(un a shell script, for e)-5.305 F 2.806(xample, it looks for the v)-.15
+F(ariable)-.25 E F3 -.27(BA)108 720 S(SH_ENV).27 E F0 1.011(in the en)
+3.261 F 1.011(vironment, e)-.4 F 1.01(xpands its v)-.15 F 1.01
+(alue if it appears there, and uses the e)-.25 F 1.01(xpanded v)-.15 F
+1.01(alue as the)-.25 F(GNU Bash 4.3)72 768 Q(2014 August 27)142.895 E
+(2)197.055 E 0 Cg EP
 %%Page: 3 3
 %%BeginPageSetup
 BP
@@ -471,86 +475,86 @@ F1(bash)3.417 E F0 .917(is in)3.417 F -.2(vo)-.4 G -.1(ke).2 G 3.417(dw)
 (closely as possible, while conforming to the POSIX standard as well.)
 108 148.8 R .145(When in)5.145 F -.2(vo)-.4 G -.1(ke).2 G 2.645(da).1 G
 2.645(sa)-2.645 G 2.645(ni)-2.645 G(nteracti)-2.645 E .445 -.15(ve l)
--.25 H(ogin).15 E 1.264(shell, or a non-interacti)108 160.8 R 1.564 -.15
+-.25 H(ogin).15 E 1.263(shell, or a non-interacti)108 160.8 R 1.563 -.15
 (ve s)-.25 H 1.264(hell with the).15 F F1(\255\255login)3.764 E F0 1.264
-(option, it \214rst attempts to read and e)3.764 F -.15(xe)-.15 G 1.263
+(option, it \214rst attempts to read and e)3.764 F -.15(xe)-.15 G 1.264
 (cute commands).15 F(from)108 172.8 Q/F4 10/Times-Italic@0 SF(/etc/pr)
-4.142 E(o\214le)-.45 E F0(and)3.172 E F4(~/.pr)2.992 E(o\214le)-.45 E F0
-2.992(,i).18 G 2.992(nt)-2.992 G .492(hat order)-2.992 F 5.492(.T)-.55 G
-(he)-5.492 E F1(\255\255nopr)2.992 E(o\214le)-.18 E F0 .493
-(option may be used to inhibit this beha)2.993 F(vior)-.2 E(.)-.55 E
-.418(When in)108 184.8 R -.2(vo)-.4 G -.1(ke).2 G 2.918(da).1 G 2.918
-(sa)-2.918 G 2.918(ni)-2.918 G(nteracti)-2.918 E .718 -.15(ve s)-.25 H
+4.143 E(o\214le)-.45 E F0(and)3.173 E F4(~/.pr)2.993 E(o\214le)-.45 E F0
+2.993(,i).18 G 2.993(nt)-2.993 G .493(hat order)-2.993 F 5.493(.T)-.55 G
+(he)-5.493 E F1(\255\255nopr)2.993 E(o\214le)-.18 E F0 .492
+(option may be used to inhibit this beha)2.992 F(vior)-.2 E(.)-.55 E
+.417(When in)108 184.8 R -.2(vo)-.4 G -.1(ke).2 G 2.917(da).1 G 2.917
+(sa)-2.917 G 2.918(ni)-2.917 G(nteracti)-2.918 E .718 -.15(ve s)-.25 H
 .418(hell with the name).15 F F1(sh)2.918 E F0(,)A F1(bash)2.918 E F0
 .418(looks for the v)2.918 F(ariable)-.25 E F3(ENV)2.918 E/F5 9
-/Times-Roman@0 SF(,)A F0 -.15(ex)2.667 G .417(pands its v).15 F(alue)
+/Times-Roman@0 SF(,)A F0 -.15(ex)2.668 G .418(pands its v).15 F(alue)
 -.25 E .171(if it is de\214ned, and uses the e)108 196.8 R .171
 (xpanded v)-.15 F .171(alue as the name of a \214le to read and e)-.25 F
--.15(xe)-.15 G 2.671(cute. Since).15 F 2.671(as)2.671 G .171(hell in)
--2.671 F -.2(vo)-.4 G -.1(ke).2 G(d).1 E(as)108 208.8 Q F1(sh)3.081 E F0
-.581(does not attempt to read and e)3.081 F -.15(xe)-.15 G .581
-(cute commands from an).15 F 3.08(yo)-.15 G .58
-(ther startup \214les, the)-3.08 F F1<adad72>3.08 E(c\214le)-.18 E F0
-.58(option has)3.08 F .182(no ef)108 220.8 R 2.682(fect. A)-.25 F
-(non-interacti)2.682 E .482 -.15(ve s)-.25 H .182(hell in).15 F -.2(vo)
+-.15(xe)-.15 G 2.671(cute. Since).15 F 2.67(as)2.671 G .17(hell in)-2.67
+F -.2(vo)-.4 G -.1(ke).2 G(d).1 E(as)108 208.8 Q F1(sh)3.08 E F0 .58
+(does not attempt to read and e)3.08 F -.15(xe)-.15 G .581
+(cute commands from an).15 F 3.081(yo)-.15 G .581
+(ther startup \214les, the)-3.081 F F1<adad72>3.081 E(c\214le)-.18 E F0
+.581(option has)3.081 F .183(no ef)108 220.8 R 2.683(fect. A)-.25 F
+(non-interacti)2.683 E .483 -.15(ve s)-.25 H .182(hell in).15 F -.2(vo)
 -.4 G -.1(ke).2 G 2.682(dw).1 G .182(ith the name)-2.682 F F1(sh)2.682 E
-F0 .182(does not attempt to read an)2.682 F 2.683(yo)-.15 G .183
-(ther startup \214les.)-2.683 F(When in)108 232.8 Q -.2(vo)-.4 G -.1(ke)
+F0 .182(does not attempt to read an)2.682 F 2.682(yo)-.15 G .182
+(ther startup \214les.)-2.682 F(When in)108 232.8 Q -.2(vo)-.4 G -.1(ke)
 .2 G 2.5(da).1 G(s)-2.5 E F1(sh)2.5 E F0(,)A F1(bash)2.5 E F0(enters)2.5
 E F4(posix)3.75 E F0(mode after the startup \214les are read.)3.03 E
-(When)108 249.6 Q F1(bash)2.727 E F0 .226(is started in)2.727 F F4
+(When)108 249.6 Q F1(bash)2.726 E F0 .226(is started in)2.726 F F4
 (posix)3.976 E F0 .226(mode, as with the)3.256 F F1(\255\255posix)2.726
-E F0 .226(command line option, it follo)2.726 F .226(ws the POSIX stan-)
--.25 F .341(dard for startup \214les.)108 261.6 R .341
-(In this mode, interacti)5.341 F .641 -.15(ve s)-.25 H .341(hells e).15
-F .341(xpand the)-.15 F F3(ENV)2.841 E F0 -.25(va)2.591 G .342
+E F0 .226(command line option, it follo)2.726 F .227(ws the POSIX stan-)
+-.25 F .342(dard for startup \214les.)108 261.6 R .341
+(In this mode, interacti)5.342 F .641 -.15(ve s)-.25 H .341(hells e).15
+F .341(xpand the)-.15 F F3(ENV)2.841 E F0 -.25(va)2.591 G .341
 (riable and commands are read and).25 F -.15(exe)108 273.6 S
 (cuted from the \214le whose name is the e).15 E(xpanded v)-.15 E 2.5
 (alue. No)-.25 F(other startup \214les are read.)2.5 E F1(Bash)108 290.4
 Q F0 .224(attempts to determine when it is being run with its standard \
-input connected to a netw)2.724 F .223(ork connection,)-.1 F .025
+input connected to a netw)2.723 F .224(ork connection,)-.1 F .025
 (as when e)108 302.4 R -.15(xe)-.15 G .025
 (cuted by the remote shell daemon, usually).15 F F4 -.1(rs)2.525 G(hd).1
 E F0 2.525(,o)C 2.525(rt)-2.525 G .025(he secure shell daemon)-2.525 F
 F4(sshd)2.525 E F0 5.025(.I)C(f)-5.025 E F1(bash)2.525 E F0(deter)2.525
-E(-)-.2 E .134(mines it is being run in this f)108 314.4 R .134
-(ashion, it reads and e)-.1 F -.15(xe)-.15 G .133(cutes commands from)
-.15 F F4(~/.bashr)2.633 E(c)-.37 E F0 2.633(,i)C 2.633(ft)-2.633 G .133
-(hat \214le e)-2.633 F .133(xists and is)-.15 F 2.869(readable. It)108
+E(-)-.2 E .133(mines it is being run in this f)108 314.4 R .133
+(ashion, it reads and e)-.1 F -.15(xe)-.15 G .134(cutes commands from)
+.15 F F4(~/.bashr)2.634 E(c)-.37 E F0 2.634(,i)C 2.634(ft)-2.634 G .134
+(hat \214le e)-2.634 F .134(xists and is)-.15 F 2.869(readable. It)108
 326.4 R .369(will not do this if in)2.869 F -.2(vo)-.4 G -.1(ke).2 G
 2.869(da).1 G(s)-2.869 E F1(sh)2.869 E F0 5.369(.T)C(he)-5.369 E F1
 <adad6e6f72>2.869 E(c)-.18 E F0 .369
 (option may be used to inhibit this beha)2.869 F(vior)-.2 E 2.869(,a)-.4
-G(nd)-2.869 E(the)108 338.4 Q F1<adad72>2.919 E(c\214le)-.18 E F0 .419
+G(nd)-2.869 E(the)108 338.4 Q F1<adad72>2.918 E(c\214le)-.18 E F0 .419
 (option may be used to force another \214le to be read, b)2.919 F .419
 (ut neither)-.2 F F4 -.1(rs)2.919 G(hd).1 E F0(nor)2.919 E F4(sshd)2.919
-E F0 .418(generally in)2.919 F -.2(vo)-.4 G -.1(ke).2 G
+E F0 .419(generally in)2.919 F -.2(vo)-.4 G -.1(ke).2 G
 (the shell with those options or allo)108 350.4 Q 2.5(wt)-.25 G
-(hem to be speci\214ed.)-2.5 E 1.207
-(If the shell is started with the ef)108 367.2 R(fecti)-.25 E 1.507 -.15
-(ve u)-.25 H 1.208
+(hem to be speci\214ed.)-2.5 E 1.208
+(If the shell is started with the ef)108 367.2 R(fecti)-.25 E 1.508 -.15
+(ve u)-.25 H 1.207
 (ser \(group\) id not equal to the real user \(group\) id, and the).15 F
-F1<ad70>3.708 E F0 .536(option is not supplied, no startup \214les are \
-read, shell functions are not inherited from the en)108 379.2 R .535
-(vironment, the)-.4 F F3(SHELLOPTS)108 391.2 Q F5(,)A F3 -.27(BA)2.959 G
-(SHOPTS).27 E F5(,)A F3(CDP)2.959 E -.855(AT)-.666 G(H).855 E F5(,)A F0
-(and)2.959 E F3(GLOBIGNORE)3.209 E F0 -.25(va)2.959 G .709
-(riables, if the).25 F 3.209(ya)-.15 G .71(ppear in the en)-3.209 F .71
-(vironment, are)-.4 F .905(ignored, and the ef)108 403.2 R(fecti)-.25 E
-1.205 -.15(ve u)-.25 H .904(ser id is set to the real user id.).15 F
-.904(If the)5.904 F F1<ad70>3.404 E F0 .904(option is supplied at in)
-3.404 F -.2(vo)-.4 G .904(cation, the).2 F(startup beha)108 415.2 Q
-(vior is the same, b)-.2 E(ut the ef)-.2 E(fecti)-.25 E .3 -.15(ve u)
--.25 H(ser id is not reset.).15 E/F6 10.95/Times-Bold@0 SF(DEFINITIONS)
-72 432 Q F0(The follo)108 444 Q
+F1<ad70>3.707 E F0 .536(option is not supplied, no startup \214les are \
+read, shell functions are not inherited from the en)108 379.2 R .536
+(vironment, the)-.4 F F3(SHELLOPTS)108 391.2 Q F5(,)A F3 -.27(BA)2.96 G
+(SHOPTS).27 E F5(,)A F3(CDP)2.96 E -.855(AT)-.666 G(H).855 E F5(,)A F0
+(and)2.96 E F3(GLOBIGNORE)3.209 E F0 -.25(va)2.959 G .709
+(riables, if the).25 F 3.209(ya)-.15 G .709(ppear in the en)-3.209 F
+.709(vironment, are)-.4 F .904(ignored, and the ef)108 403.2 R(fecti)
+-.25 E 1.204 -.15(ve u)-.25 H .904(ser id is set to the real user id.)
+.15 F .904(If the)5.904 F F1<ad70>3.404 E F0 .905
+(option is supplied at in)3.405 F -.2(vo)-.4 G .905(cation, the).2 F
+(startup beha)108 415.2 Q(vior is the same, b)-.2 E(ut the ef)-.2 E
+(fecti)-.25 E .3 -.15(ve u)-.25 H(ser id is not reset.).15 E/F6 10.95
+/Times-Bold@0 SF(DEFINITIONS)72 432 Q F0(The follo)108 444 Q
 (wing de\214nitions are used throughout the rest of this document.)-.25
 E F1(blank)108 456 Q F0 2.5(As)11.54 G(pace or tab)-2.5 E(.)-.4 E F1 -.1
 (wo)108 468 S(rd).1 E F0 2.5(As)13.88 G
 (equence of characters considered as a single unit by the shell.)-2.5 E
 (Also kno)5 E(wn as a)-.25 E F1(tok)2.5 E(en)-.1 E F0(.)A F1(name)108
-480 Q F0(A)12.67 E F4(wor)3.005 E(d)-.37 E F0 .165
+480 Q F0(A)12.67 E F4(wor)3.006 E(d)-.37 E F0 .165
 (consisting only of alphanumeric characters and underscores, and be)
-3.435 F .166(ginning with an alpha-)-.15 F
+3.436 F .165(ginning with an alpha-)-.15 F
 (betic character or an underscore.)144 492 Q(Also referred to as an)5 E
 F1(identi\214er)2.5 E F0(.)A F1(metacharacter)108 504 Q F0 2.5(Ac)144
 516 S(haracter that, when unquoted, separates w)-2.5 E 2.5(ords. One)-.1
